The Display & Video 360 API now supports Demand Gen resource management. See our
new guide to learn how to build and run a Demand Gen ad campaign.
Send feedback
Method: advertisers.lineItems.create
Stay organized with collections
Save and categorize content based on your preferences.
Display & Video 360 API v5 is currently in beta.
Creates a new line item. Returns the newly created line item if successful.
YouTube & Partners line items cannot be created or updated using the API.
HTTP request
POST https://displayvideo.googleapis.com/v5/advertisers/{lineItem.advertiserId}/lineItems
The URL uses gRPC Transcoding syntax.
Path parameters
Parameters
lineItem.advertiserId
string (int64 format)
Output only. The unique ID of the advertiser the line item belongs to.
Request body
The request body contains an instance of LineItem .
Response body
If successful, the response body contains a newly created instance of LineItem .
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview .
Send feedback
Except as otherwise noted, the content of this page is licensed under the Creative Commons Attribution 4.0 License , and code samples are licensed under the Apache 2.0 License . For details, see the Google Developers Site Policies . Java is a registered trademark of Oracle and/or its affiliates.
Last updated 2026-10-22 UTC.
Need to tell us more?
[[["Easy to understand","easyToUnderstand","thumb-up"],["Solved my problem","solvedMyProblem","thumb-up"],["Other","otherUp","thumb-up"]],[["Missing the information I need","missingTheInformationINeed","thumb-down"],["Too complicated / too many steps","tooComplicatedTooManySteps","thumb-down"],["Out of date","outOfDate","thumb-down"],["Samples / code issue","samplesCodeIssue","thumb-down"],["Other","otherDown","thumb-down"]],["Last updated 2026-10-22 UTC."],[],[]]